ZZIP_FILE_OPEN(3)

NAME
zzip_file_open - start usage.

SYNOPSIS

#include <zzip/lib.h>

ZZIP_FILE * zzip_file_open((ZZIP_DIR * dir, zzip_char_t * name, int o_mode));

DESCRIPTION

The zzip_file_open function opens an ZZIP_FILE from an already open ZZIP_DIR handle. Since we have a chance to reuse a cached buf32k and ZZIP_FILE memchunk this is the best choice to unpack multiple files.

Note: the zlib supports 2..15 bit windowsize, hence we provide a 32k memchunk here... just to be safe.

On error it returns null and sets errcode in the ZZIP_DIR.

AUTHOR

    • Guido Draheim <guidod@gmx.de> Tomi Ollila <Tomi.Ollila@iki.fi>

COPYRIGHT

Copyright (c) Guido Draheim, use under copyleft (LGPL,MPL)